# Draw
TKDCAF
DNaming

# DNaming_DataMapNodeOfDataMapOfShapeOfName Class Reference

`#include <DNaming_DataMapNodeOfDataMapOfShapeOfName.hxx>`

## Public Member Functions

| DNaming_DataMapNodeOfDataMapOfShapeOfName (const TopoDS_Shape &K, const TCollection_AsciiString &I, const TCollection_MapNodePtr &n)
TopoDS_Shape & | Key () const
TCollection_AsciiString & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | myKey
TCollection_AsciiString | myValue

## Constructor & Destructor Documentation

DNaming_DataMapNodeOfDataMapOfShapeOfName::DNaming_DataMapNodeOfDataMapOfShapeOfName | ( | const TopoDS_Shape & | K,
|  | const TCollection_AsciiString & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const DNaming_DataMapNodeOfDataMapOfShapeOfName::Handle | ( | Standard_Type |  | ) | const

TopoDS_Shape& DNaming_DataMapNodeOfDataMapOfShapeOfName::Key | ( |  | ) | const

TCollection_AsciiString& DNaming_DataMapNodeOfDataMapOfShapeOfName::Value | ( |  | ) | const

## Field Documentation

TopoDS_Shape DNaming_DataMapNodeOfDataMapOfShapeOfName::myKey `[private]`

TCollection_AsciiString DNaming_DataMapNodeOfDataMapOfShapeOfName::myValue `[private]`

The documentation for this class was generated from the following file:

- DNaming_DataMapNodeOfDataMapOfShapeOfName.hxx